%global         debug_package %{nil}

Name:           pyelftools
Version:        0.27
Release:        1
License:        Public Domain
Summary:        Pure-Python library for parsing and analyzing ELF files
URL:            https://github.com/eliben/pyelftools
Source0:        https://github.com/eliben/pyelftools/archive/v%{version}/%{name}-%{version}.tar.gz

%description
This package provides a python library for parsing and
analyzing ELF files and DWARF debugging information.

%package     -n python3-pyelftools
Provides:       bundled(python3-construct) = 2.6
BuildRequires:  python3-devel python3-setuptools
BuildArch:      noarch
Summary:        Parsing ELF and DWARF in Python
%{?python_provide:%python_provide python3-pyelftools}
%description -n python3-pyelftools
This package provides a python library for parsing and
analyzing ELF files and DWARF debugging information.

%prep
%autosetup -p1

%build
%{py3_build}

%install
%{py3_install}
mv %{buildroot}/usr/bin/readelf.py %{buildroot}/usr/bin/pyreadelf

%check
%{__python3} test/run_all_unittests.py
%{__python3} test/run_examples_test.py
%{__python3} test/run_readelf_tests.py || :

%files -n python3-pyelftools
%license LICENSE
%doc CHANGES
%{_bindir}/pyreadelf
%{python3_sitelib}/elftools
%{python3_sitelib}/pyelftools-*.egg-info


%changelog
* Thu Oct 13 2022 wulei <wulei80@h-partners.com> - 0.27-1
- upgrade version to 0.27

* Wed Oct 21 2020 wutao <wutao61@huawei.com> - 0.25-3
- delete python2 modules

* Thu Jan 16 2020 wanjiankang<wanjiankang@huawei.com> - 0.25-2
- update to 0.25-2

* Tue Dec  2 2019 likexin<likexin4@huawei.com> - 0.24-4
- Package init

